/*
 * Copyright (c) 2006-2008 Maskat Project.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Maskat Project - initial API and implementation
 */
package org.maskat.core.event;

public class Bind extends AbstractEventElement {

	public static final boolean SEND_BLANK_ELEMENT_EDEFAULT = false;

	private String fromkey;

	private String tokey;

	private String node;
	
	private boolean sendBlankElement = SEND_BLANK_ELEMENT_EDEFAULT;

	public String getFromkey() {
		return fromkey;
	}

	public void setFromkey(String fromKey) {
		this.fromkey = fromKey;
	}

	public String getNode() {
		return node;
	}

	public void setNode(String node) {
		this.node = node;
	}

	public String getTokey() {
		return tokey;
	}

	public void setTokey(String toKey) {
		this.tokey = toKey;
	}

	public boolean isSendBlankElement() {
		return sendBlankElement;
	}

	public void setSendBlankElement(boolean sendBlankElement) {
		this.sendBlankElement = sendBlankElement;
	}

}
